Bug 180570 - Port net/quagga update: fix ospfclient.8 MAN8
Port net/quagga update: fix ospfclient.8 MAN8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 10:00 UTC by Anes Mukhametov
Modified: 2013-07-23 21:10 UTC (History)
1 user (show)

See Also:


Attachments
quagga.diff (830 bytes, patch)
2013-07-15 10:00 UTC, Anes Mukhametov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-15 10:00:01 UTC
	Try to install ospfclient.8 only if OSPF_OPAQUE_LSA port option set
Comment 1 Edwin Groothuis freebsd_committer 2013-07-15 10:00:12 UTC
Maintainer of net/quagga,

Please note that PR ports/180570 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180570

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-07-15 10:00:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 boris 2013-07-19 06:30:31 UTC
Hello!

     Agree. Thank You!

-- 
Regards,
Boris
Comment 4 Mark Linimon freebsd_committer 2013-07-19 10:35:16 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pawel Pekala freebsd_committer 2013-07-23 20:03:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter freebsd_committer 2013-07-23 21:01:02 UTC
Author: pawel
Date: Tue Jul 23 20:00:53 2013
New Revision: 323547
URL: http://svnweb.freebsd.org/changeset/ports/323547

Log:
  Fix plist, ospfclient manpage is only installed when OSPF_OPAQUE_LSA=on
  
  PR:		ports/180570
  Submitted by:	Anes Mukhametov <anes@anes.su>
  Approved by:	maintainer

Modified:
  head/net/quagga/Makefile

Modified: head/net/quagga/Makefile
==============================================================================
--- head/net/quagga/Makefile	Tue Jul 23 19:16:41 2013	(r323546)
+++ head/net/quagga/Makefile	Tue Jul 23 20:00:53 2013	(r323547)
@@ -3,7 +3,7 @@
 
 PORTNAME=	quagga
 PORTVERSION=	0.99.22
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	net ipv6
 MASTER_SITES=	SAVANNAH
 MASTER_SITE_SUBDIR=	quagga
@@ -26,7 +26,7 @@ USE_PERL5_BUILD=yes
 FETCH_ARGS=	-Fpr
 
 MAN1=		vtysh.1
-MAN8=		bgpd.8 ospf6d.8 ospfd.8 ripd.8 ripngd.8 zebra.8 watchquagga.8 ospfclient.8
+MAN8=		bgpd.8 ospf6d.8 ospfd.8 ripd.8 ripngd.8 zebra.8 watchquagga.8
 INFO=		quagga
 
 OPTIONS_DEFINE=	ISISD PAM OSPF_OPAQUE_LSA RTADV SNMP TCPSOCKETS DLMALLOC \
@@ -93,6 +93,7 @@ CONFIGURE_ARGS+=--with-libpam
 
 .if ${PORT_OPTIONS:MOSPF_OPAQUE_LSA}
 CONFIGURE_ARGS+=--enable-opaque-lsa
+MAN8+=		ospfclient.8
 PLIST_SUB+=	OSPFAPI=""
 .else
 CONFIGURE_ARGS+=--disable-opaque-lsa
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2013-07-23 21:01:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!